summaryrefslogtreecommitdiffstats
path: root/source/l/glib2/glib2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/glib2/glib2.SlackBuild')
-rwxr-xr-xsource/l/glib2/glib2.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/glib2/glib2.SlackBuild b/source/l/glib2/glib2.SlackBuild
index 333fe5b6..dd3ff57d 100755
--- a/source/l/glib2/glib2.SlackBuild
+++ b/source/l/glib2/glib2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glib2
VERSION=${VERSION:-$(echo glib-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -80,6 +80,9 @@ find . \
# Get the local timezone link from /etc/localtime-copied-from:
zcat $CWD/glib2.slackware.localtime.diff.gz | patch -p1 --verbose || exit 1
+# Allow the slightly older version of gtk-doc to avoid bundling a newer one:
+zcat $CWD/glib.allow.gtk-doc-1.32.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"